<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/col_6f7">

    <include layout="@layout/title_white_bar"
        android:id="@+id/title"/>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:background="@drawable/shape_round_white"
        android:layout_margin="@dimen/dp_14">
        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_15"
            android:layout_marginLeft="@dimen/dp_13"
            android:layout_marginRight="@dimen/dp_14">
            
            <de.hdodenhof.circleimageview.CircleImageView
                android:layout_width="@dimen/dp_57"
                android:layout_height="@dimen/dp_57"
                android:id="@+id/img_avatar"
                android:background="@mipmap/icon_default_avator"/>

            <TextView
                android:id="@+id/tv_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="@dimen/sp_17"
                android:textColor="@color/col_313"
                android:layout_toRightOf="@+id/img_avatar"
                tools:text="李晓芳"
                android:layout_marginLeft="@dimen/dp_10"/>

            <TextView
                android:id="@+id/tv_complete_info"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="完善信息"
                android:layout_alignParentEnd="true"
                android:textSize="@dimen/sp_13"
                android:textColor="@color/col_c7c"
                android:drawableRight="@mipmap/icon_arrow_right"
                android:drawablePadding="@dimen/dp_5"/>

            <ProgressBar
                android:id="@+id/mProgress"
                style="@style/Widget.AppCompat.ProgressBar.Horizontal"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_9"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_14"
                android:layout_below="@+id/tv_name"
                android:layout_toRightOf="@+id/img_avatar"
                android:progress="0"
                android:progressDrawable="@drawable/progress_bg_info" />
            
        </RelativeLayout>
        
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_20"
            android:layout_marginBottom="@dimen/dp_14"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">
                    <TextView
                        android:id="@+id/tv_bmi"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/col_313"
                        android:textSize="@dimen/sp_18"
                        android:text="--"/>
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:id="@+id/tv_bmi_desc"
                        android:textSize="@dimen/sp_13"
                        android:textColor="@color/col_91d"
                        tools:text="肥胖"
                        android:layout_marginLeft="@dimen/dp_7"/>
                </LinearLayout>


                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="@dimen/sp_12"
                    android:textColor="@color/col_C7C"
                    android:layout_marginTop="@dimen/dp_8"
                    android:text="BMI"/>

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="vertical">
                <TextView
                    android:id="@+id/tv_bmr"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_18"
                    android:text="--"
                    tools:text="31"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="@dimen/sp_12"
                    android:textColor="@color/col_C7C"
                    android:layout_marginTop="@dimen/dp_8"
                    android:text="BMR"/>

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="vertical">
                <TextView
                    android:id="@+id/tv_body_fat"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_18"
                    android:text="--"
                    tools:text="31"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="@dimen/sp_12"
                    android:layout_marginTop="@dimen/dp_8"
                    android:textColor="@color/col_C7C"
                    android:text="体脂率"/>

            </LinearLayout>
            
        </LinearLayout>

    </LinearLayout>

    <com.androidkun.xtablayout.XTabLayout
        android:id="@+id/xTablayout"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_42"
        app:xTabDisplayNum="4"
        app:xTabIndicatorColor="@color/col_02c"
        app:xTabIndicatorHeight="@dimen/dp_3"
        app:xTabIndicatorRoundY="@dimen/dp_3"
        app:xTabIndicatorWidth="@dimen/dp_20"
        app:xTabMode="scrollable"
        app:xTabSelectedTextColor="@color/col_02c"
        app:xTabSelectedTextSize="@dimen/sp_16"
        app:xTabTextColor="@color/col_c7c"
        app:xTabTextSelectedBold="true"
        app:xTabTextSize="@dimen/sp_14" />

    <androidx.core.widget.NestedScrollView
        android:id="@+id/scrollView"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/clSelfTest"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/dp_14"
                android:layout_marginRight="@dimen/dp_14"
                android:background="@drawable/shape_round_white"
                android:paddingBottom="@dimen/dp_27">

                <TextView
                    android:id="@+id/mTvSelTest"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_16"
                    android:layout_marginTop="@dimen/dp_22"
                    android:drawableStart="@drawable/shape_head_tip_new"
                    android:drawablePadding="@dimen/dp_10"
                    android:text="自检自测"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_17"
                    android:textStyle="bold"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:ignore="UseCompatTextViewDrawableXml" />

                <TextView
                    android:id="@+id/tv_confirm_test"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="未完成基本信息"
                    android:visibility="gone"
                    android:layout_marginTop="@dimen/dp_22"
                    android:drawableLeft="@drawable/shape_oval_262_border_white"
                    android:drawablePadding="@dimen/dp_2"
                    android:textSize="@dimen/sp_11"
                    android:textColor="@color/col_C7C"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    android:layout_marginRight="@dimen/dp_16"/>

                <include
                    android:id= "@+id/cl_body"
                    layout="@layout/layout_health_record_test"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/mTvSelTest"
                    app:layout_constraintBottom_toBottomOf="parent"/>
            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/clFoodDiary"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/dp_14"
                android:layout_marginRight="@dimen/dp_14"
                android:layout_marginTop="@dimen/dp_12"
                android:paddingLeft="@dimen/dp_16"
                android:paddingRight="@dimen/dp_16"
                android:background="@drawable/shape_round_white"
                android:paddingBottom="@dimen/dp_27">

                <TextView
                    android:id="@+id/mTvFoodDiary"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_22"
                    android:drawableStart="@drawable/shape_head_tip_new"
                    android:drawablePadding="@dimen/dp_10"
                    android:text="饮食日记"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_17"
                    android:textStyle="bold"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:ignore="UseCompatTextViewDrawableXml" />
                
                <TextView
                    android:id="@+id/tv_balance_diet"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="标准均衡饮食"
                    android:textSize="@dimen/sp_16"
                    android:textColor="@color/col_313"
                    app:layout_constraintTop_toBottomOf="@+id/mTvFoodDiary"
                    app:layout_constraintLeft_toLeftOf="parent"
                    android:layout_marginTop="@dimen/dp_22"/>

                <TextView
                    android:id="@+id/tv_dairy_records"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="前往记录"
                    android:drawableRight="@mipmap/icon_arrow_right"
                    android:drawablePadding="@dimen/dp_5"
                    app:layout_constraintEnd_toEndOf="parent"
                    android:textSize="@dimen/sp_13"
                    app:layout_constraintTop_toBottomOf="@+id/mTvFoodDiary"
                    android:layout_marginTop="@dimen/dp_22"/>

                <TextView
                    android:id="@+id/tv_diet_desc"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="还可摄入"
                    android:textSize="@dimen/sp_14"
                    android:textColor="@color/col_c7c"
                    app:layout_constraintTop_toBottomOf="@+id/tv_balance_diet"
                    app:layout_constraintLeft_toLeftOf="parent"
                    android:layout_marginTop="@dimen/dp_26"
                    android:textStyle="bold"/>

                <LinearLayout
                    android:id="@+id/ll_calorie"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:layout_marginTop="@dimen/dp_19"
                    app:layout_constraintTop_toBottomOf="@+id/tv_diet_desc"
                    app:layout_constraintLeft_toLeftOf="parent">
                    <TextView
                        android:id="@+id/tv_diet_calorie"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="29sp"
                        android:textStyle="bold"
                        android:textColor="@color/col_313"
                        tools:text="2315"
                        />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="千卡"
                        android:textColor="@color/col_c7c"
                        android:textSize="@dimen/sp_15"
                        android:layout_marginLeft="@dimen/dp_5"
                        />

                </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:layout_marginTop="@dimen/dp_39"
                        app:layout_constraintTop_toBottomOf="@+id/ll_calorie"
                        app:layout_constraintLeft_toLeftOf="parent">

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:orientation="vertical"
                            android:layout_weight="1">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="碳水化合物"
                                android:textSize="@dimen/sp_14"
                                android:textColor="@color/col_313"/>

                            <ProgressBar
                                android:id="@+id/pro_cho"
                                style="@style/Widget.AppCompat.ProgressBar.Horizontal"
                                android:layout_width="match_parent"
                                android:layout_height="@dimen/dp_7"
                                android:layout_marginTop="@dimen/dp_11"
                                android:layout_below="@+id/tv_name"
                                android:layout_toRightOf="@+id/img_avatar"
                                android:progress="0"
                                android:progressDrawable="@drawable/progress_bg_info" />

                            <TextView
                                android:id="@+id/tv_cho_pro"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textSize="@dimen/sp_15"
                                android:textColor="@color/col_313"
                                android:layout_marginTop="@dimen/dp_4"
                                tools:text="55%"/>

                        </LinearLayout>
                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:orientation="vertical"
                            android:layout_marginLeft="@dimen/dp_19"
                            android:layout_weight="1">
                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="蛋白质"
                                android:textSize="@dimen/sp_14"
                                android:textColor="@color/col_313"/>

                            <ProgressBar
                                android:id="@+id/pro_protein"
                                style="@style/Widget.AppCompat.ProgressBar.Horizontal"
                                android:layout_width="match_parent"
                                android:layout_height="@dimen/dp_7"
                                android:layout_marginTop="@dimen/dp_11"
                                android:layout_below="@+id/tv_name"
                                android:layout_toRightOf="@+id/img_avatar"
                                android:progress="0"
                                android:progressDrawable="@drawable/progress_bg_info" />

                            <TextView
                                android:id="@+id/tv_protein_pro"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textSize="@dimen/sp_15"
                                android:textColor="@color/col_313"
                                android:layout_marginTop="@dimen/dp_4"
                                tools:text="55%"/>

                        </LinearLayout>
                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:orientation="vertical"
                            android:layout_marginLeft="@dimen/dp_19"
                            android:layout_weight="1">
                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="脂肪"
                                android:textSize="@dimen/sp_14"
                                android:textColor="@color/col_313"/>

                            <ProgressBar
                                android:id="@+id/pro_fat"
                                style="@style/Widget.AppCompat.ProgressBar.Horizontal"
                                android:layout_width="match_parent"
                                android:layout_height="@dimen/dp_7"
                                android:layout_marginTop="@dimen/dp_11"
                                android:layout_below="@+id/tv_name"
                                android:layout_toRightOf="@+id/img_avatar"
                                android:progress="0"
                                android:progressDrawable="@drawable/progress_bg_info" />

                            <TextView
                                android:id="@+id/tv_fat_pro"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textSize="@dimen/sp_15"
                                android:textColor="@color/col_313"
                                android:layout_marginTop="@dimen/dp_4"
                                tools:text="55%"/>

                        </LinearLayout>

                    </LinearLayout>


            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/clHealthMonitoring"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/dp_14"
                android:layout_marginRight="@dimen/dp_14"
                android:layout_marginTop="@dimen/dp_12"
                android:background="@drawable/shape_round_white"
                android:paddingBottom="@dimen/dp_27">

                <TextView
                    android:id="@+id/mTvHealthMonitoring"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_16"
                    android:layout_marginTop="@dimen/dp_22"
                    android:drawableStart="@drawable/shape_head_tip_new"
                    android:drawablePadding="@dimen/dp_10"
                    android:text="健康监测"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_17"
                    android:textStyle="bold"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:ignore="UseCompatTextViewDrawableXml" />

                <androidx.recyclerview.widget.RecyclerView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:id="@+id/recycler"
                    android:layout_marginTop="@dimen/dp_20"
                    app:layout_constraintTop_toBottomOf="@+id/mTvHealthMonitoring"
                    app:layout_constraintLeft_toLeftOf="parent"/>


            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/clHealthRecording"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/dp_14"
                android:layout_marginRight="@dimen/dp_14"
                android:layout_marginTop="@dimen/dp_12"
                android:background="@drawable/shape_round_white"
                android:layout_marginBottom="@dimen/dp_20"

                android:paddingBottom="@dimen/dp_27">

                <TextView
                    android:id="@+id/mTvHealthRecording"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_16"
                    android:layout_marginTop="@dimen/dp_22"
                    android:drawableStart="@drawable/shape_head_tip_new"
                    android:drawablePadding="@dimen/dp_10"
                    android:text="健康记录"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_17"
                    android:textStyle="bold"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:ignore="UseCompatTextViewDrawableXml" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:layout_marginLeft="@dimen/dp_16"
                    android:layout_marginRight="@dimen/dp_16"
                    android:layout_marginTop="@dimen/dp_32"
                    app:layout_constraintTop_toBottomOf="@+id/mTvHealthRecording"
                    app:layout_constraintLeft_toLeftOf="parent">

                    <LinearLayout
                        android:id="@+id/ll_inquiry_record"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@mipmap/bg_home_item"
                        android:orientation="vertical"
                        android:gravity="center">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@mipmap/icon_inquiry_record"
                            />
                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="问诊记录"
                            android:layout_marginTop="@dimen/dp_11"
                            android:textColor="@color/col_313"
                            android:textSize="@dimen/sp_14"/>

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/ll_report_record"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@mipmap/bg_home_item"
                        android:layout_marginLeft="@dimen/dp_17"
                        android:orientation="vertical"
                        android:gravity="center">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@mipmap/icon_report_record"
                            />
                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="报告记录"
                            android:textColor="@color/col_313"
                            android:layout_marginTop="@dimen/dp_11"
                            android:textSize="@dimen/sp_14"/>

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/ll_health_week_record"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@mipmap/bg_home_item"
                        android:layout_marginLeft="@dimen/dp_17"
                        android:orientation="vertical"
                        android:gravity="center">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@mipmap/icon_health_week_record"
                            />
                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="健康周报"
                            android:textColor="@color/col_313"
                            android:layout_marginTop="@dimen/dp_11"
                            android:textSize="@dimen/sp_14"/>

                    </LinearLayout>

                </LinearLayout>


            </androidx.constraintlayout.widget.ConstraintLayout>

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

</LinearLayout>